import axios from 'axios';
// ----------------------列表-----------------------
const pageBillUrl = '/blackSmellyWater/blackSmellyWaterCityRiverBill/page';
// 添加
const saveSewageBill = function (data) {
    return axios.post("/blackSmellyWater/blackSmellyWaterCityRiverBill/importBatch",data)
}

// 删除
const removeSewageBill = function (id) {
    return axios.delete(`/blackSmellyWater/blackSmellyWaterCityRiverBill/${id}`,)
}
// 批量删除
const removeBatchSewageBill = function (ids) {
    return axios.delete("/blackSmellyWater/blackSmellyWaterCityRiverBill/batch",{data:ids})
}

// 修改
const updateSewageBill = function (data) {
    return axios.put("/blackSmellyWater/blackSmellyWaterCityRiverBill",data)
}
// 审核
const verifySewageBill = function (data) {
    return axios.put("/blackSmellyWater/blackSmellyWaterCityRiverBill/verify",data);
}
const getSewageBill = function (id) {
    return axios.get(`/blackSmellyWater/blackSmellyWaterCityRiverBill/${id}`)
}
// -------------------------数据---------------------
const pageSewageUrl = '/blackSmellyWater/blackSmellyWaterCityRiver/page';
// 添加
const saveSewage = function (data) {
    return axios.post("/blackSmellyWater/blackSmellyWaterCityRiver",data)
}

// 删除
const removeSewage = function (id) {
    return axios.delete(`/blackSmellyWater/blackSmellyWaterCityRiver/${id}`,)
}
// 批量删除
const removeBatchSewage = function (ids) {
    return axios.delete("/blackSmellyWater/blackSmellyWaterCityRiver/batch",{data:ids})
}

// 修改
const updateSewage = function (data) {
        return axios.put("/blackSmellyWater/blackSmellyWaterCityRiver",data)
}

// -------------------------统计---------------------
const pageSewageStatisticUrl = '/blackSmellyWater/blackSmellyWaterCityRiver/statistic';
const statisticSourceUrl = '/blackSmellyWater/blackSmellyWaterCityRiver/statistic/source';
const statisticYearUrl = '/blackSmellyWater/blackSmellyWaterCityRiver/statistic/year';
const getHistoryyears = function () {
    return axios.get("/blackSmellyWater/blackSmellyWaterCityRiver/history-year")
}
const getColumnOptions = function(column){
    return axios.get("/blackSmellyWater/blackSmellyWaterCityRiver/options",{params:{column}})
}

export {
    pageBillUrl,
    saveSewageBill,
    removeSewageBill,
    updateSewageBill,
    removeBatchSewageBill,
    verifySewageBill,
    getSewageBill,
    pageSewageUrl,
    saveSewage,
    removeSewage,
    updateSewage,
    removeBatchSewage,
    pageSewageStatisticUrl,
    getHistoryyears,
    getColumnOptions,
    statisticSourceUrl,
    statisticYearUrl

}
